Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.devices.getLiveToolsCableTest({
id: "string",
serial: "string",
});
export const merakiDevicesLiveToolsCableTestExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.devices.get_live_tools_cable_test(id="string",
serial="string")
pulumi.export("merakiDevicesLiveToolsCableTestExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/devices"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := devices.GetLiveToolsCableTest(ctx, &devices.GetLiveToolsCableTestArgs{
Id: "string",
Serial: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiDevicesLiveToolsCableTestExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Devices.GetLiveToolsCableTest.Invoke(new()
{
Id = "string",
Serial = "string",
});
return new Dictionary<string, object?>
{
["merakiDevicesLiveToolsCableTestExample"] = example.Apply(getLiveToolsCableTestResult => getLiveToolsCableTestResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.devices.DevicesFunctions;
import com.pulumi.meraki.devices.inputs.GetLiveToolsCableTestArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = DevicesFunctions.getLiveToolsCableTest(GetLiveToolsCableTestArgs.builder()
.id("string")
.serial("string")
.build());
ctx.export("merakiDevicesLiveToolsCableTestExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:devices:getLiveToolsCableTest
arguments:
id: string
serial: string
outputs:
merakiDevicesLiveToolsCableTestExample: ${example.item}
Using getLiveToolsCableTest
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getLiveToolsCableTest(args: GetLiveToolsCableTestArgs, opts?: InvokeOptions): Promise<GetLiveToolsCableTestResult>
function getLiveToolsCableTestOutput(args: GetLiveToolsCableTestOutputArgs, opts?: InvokeOptions): Output<GetLiveToolsCableTestResult>def get_live_tools_cable_test(id: Optional[str] = None,
serial: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetLiveToolsCableTestResult
def get_live_tools_cable_test_output(id: Optional[pulumi.Input[str]] = None,
serial: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetLiveToolsCableTestResult]func GetLiveToolsCableTest(ctx *Context, args *GetLiveToolsCableTestArgs, opts ...InvokeOption) (*GetLiveToolsCableTestResult, error)
func GetLiveToolsCableTestOutput(ctx *Context, args *GetLiveToolsCableTestOutputArgs, opts ...InvokeOption) GetLiveToolsCableTestResultOutput> Note: This function is named GetLiveToolsCableTest in the Go SDK.
public static class GetLiveToolsCableTest
{
public static Task<GetLiveToolsCableTestResult> InvokeAsync(GetLiveToolsCableTestArgs args, InvokeOptions? opts = null)
public static Output<GetLiveToolsCableTestResult> Invoke(GetLiveToolsCableTestInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetLiveToolsCableTestResult> getLiveToolsCableTest(GetLiveToolsCableTestArgs args, InvokeOptions options)
public static Output<GetLiveToolsCableTestResult> getLiveToolsCableTest(GetLiveToolsCableTestArgs args, InvokeOptions options)
fn::invoke:
function: meraki:devices/getLiveToolsCableTest:getLiveToolsCableTest
arguments:
# arguments dictionaryThe following arguments are supported:
getLiveToolsCableTest Result
The following output properties are available:
- Id string
- id path parameter.
- Item
Get
Live Tools Cable Test Item - Serial string
- serial path parameter.
- Id string
- id path parameter.
- Item
Get
Live Tools Cable Test Item - Serial string
- serial path parameter.
- id String
- id path parameter.
- item
Get
Live Tools Cable Test Item - serial String
- serial path parameter.
- id string
- id path parameter.
- item
Get
Live Tools Cable Test Item - serial string
- serial path parameter.
- id str
- id path parameter.
- item
Get
Live Tools Cable Test Item - serial str
- serial path parameter.
- id String
- id path parameter.
- item Property Map
- serial String
- serial path parameter.
Supporting Types
GetLiveToolsCableTestItem
- Cable
Test stringId - Id of the cable test request. Used to check the status of the request.
- Error string
- An error message for a failed execution
- Request
Get
Live Tools Cable Test Item Request - Cable test request parameters
- Results
List<Get
Live Tools Cable Test Item Result> - Results of the cable test request, one for each requested port.
- Status string
- Status of the cable test request.
- Url string
- GET this url to check the status of your cable test request.
- Cable
Test stringId - Id of the cable test request. Used to check the status of the request.
- Error string
- An error message for a failed execution
- Request
Get
Live Tools Cable Test Item Request - Cable test request parameters
- Results
[]Get
Live Tools Cable Test Item Result - Results of the cable test request, one for each requested port.
- Status string
- Status of the cable test request.
- Url string
- GET this url to check the status of your cable test request.
- cable
Test StringId - Id of the cable test request. Used to check the status of the request.
- error String
- An error message for a failed execution
- request
Get
Live Tools Cable Test Item Request - Cable test request parameters
- results
List<Get
Live Tools Cable Test Item Result> - Results of the cable test request, one for each requested port.
- status String
- Status of the cable test request.
- url String
- GET this url to check the status of your cable test request.
- cable
Test stringId - Id of the cable test request. Used to check the status of the request.
- error string
- An error message for a failed execution
- request
Get
Live Tools Cable Test Item Request - Cable test request parameters
- results
Get
Live Tools Cable Test Item Result[] - Results of the cable test request, one for each requested port.
- status string
- Status of the cable test request.
- url string
- GET this url to check the status of your cable test request.
- cable_
test_ strid - Id of the cable test request. Used to check the status of the request.
- error str
- An error message for a failed execution
- request
Get
Live Tools Cable Test Item Request - Cable test request parameters
- results
Sequence[Get
Live Tools Cable Test Item Result] - Results of the cable test request, one for each requested port.
- status str
- Status of the cable test request.
- url str
- GET this url to check the status of your cable test request.
- cable
Test StringId - Id of the cable test request. Used to check the status of the request.
- error String
- An error message for a failed execution
- request Property Map
- Cable test request parameters
- results List<Property Map>
- Results of the cable test request, one for each requested port.
- status String
- Status of the cable test request.
- url String
- GET this url to check the status of your cable test request.
GetLiveToolsCableTestItemRequest
GetLiveToolsCableTestItemResult
- Error string
- If an error occurred during the cable test, the error message will be populated here.
- Pairs
List<Get
Live Tools Cable Test Item Result Pair> - Results for each twisted pair within the cable.
- Port string
- The port for which the test was performed.
- Speed
Mbps int - Speed in Mbps. A speed of 0 indicates the port is down or the port speed is automatic.
- Status string
- The current status of the port. If the cable test is still being performed on the port, "in-progress" is used. If an error occurred during the cable test, "error" is used and the error property will be populated.
- Error string
- If an error occurred during the cable test, the error message will be populated here.
- Pairs
[]Get
Live Tools Cable Test Item Result Pair - Results for each twisted pair within the cable.
- Port string
- The port for which the test was performed.
- Speed
Mbps int - Speed in Mbps. A speed of 0 indicates the port is down or the port speed is automatic.
- Status string
- The current status of the port. If the cable test is still being performed on the port, "in-progress" is used. If an error occurred during the cable test, "error" is used and the error property will be populated.
- error String
- If an error occurred during the cable test, the error message will be populated here.
- pairs
List<Get
Live Tools Cable Test Item Result Pair> - Results for each twisted pair within the cable.
- port String
- The port for which the test was performed.
- speed
Mbps Integer - Speed in Mbps. A speed of 0 indicates the port is down or the port speed is automatic.
- status String
- The current status of the port. If the cable test is still being performed on the port, "in-progress" is used. If an error occurred during the cable test, "error" is used and the error property will be populated.
- error string
- If an error occurred during the cable test, the error message will be populated here.
- pairs
Get
Live Tools Cable Test Item Result Pair[] - Results for each twisted pair within the cable.
- port string
- The port for which the test was performed.
- speed
Mbps number - Speed in Mbps. A speed of 0 indicates the port is down or the port speed is automatic.
- status string
- The current status of the port. If the cable test is still being performed on the port, "in-progress" is used. If an error occurred during the cable test, "error" is used and the error property will be populated.
- error str
- If an error occurred during the cable test, the error message will be populated here.
- pairs
Sequence[Get
Live Tools Cable Test Item Result Pair] - Results for each twisted pair within the cable.
- port str
- The port for which the test was performed.
- speed_
mbps int - Speed in Mbps. A speed of 0 indicates the port is down or the port speed is automatic.
- status str
- The current status of the port. If the cable test is still being performed on the port, "in-progress" is used. If an error occurred during the cable test, "error" is used and the error property will be populated.
- error String
- If an error occurred during the cable test, the error message will be populated here.
- pairs List<Property Map>
- Results for each twisted pair within the cable.
- port String
- The port for which the test was performed.
- speed
Mbps Number - Speed in Mbps. A speed of 0 indicates the port is down or the port speed is automatic.
- status String
- The current status of the port. If the cable test is still being performed on the port, "in-progress" is used. If an error occurred during the cable test, "error" is used and the error property will be populated.
GetLiveToolsCableTestItemResultPair
- Index int
- The index of the twisted pair tested.
- Length
Meters int - The detected length of the twisted pair.
- Status string
- The test result of the twisted pair tested.
- Index int
- The index of the twisted pair tested.
- Length
Meters int - The detected length of the twisted pair.
- Status string
- The test result of the twisted pair tested.
- index Integer
- The index of the twisted pair tested.
- length
Meters Integer - The detected length of the twisted pair.
- status String
- The test result of the twisted pair tested.
- index number
- The index of the twisted pair tested.
- length
Meters number - The detected length of the twisted pair.
- status string
- The test result of the twisted pair tested.
- index int
- The index of the twisted pair tested.
- length_
meters int - The detected length of the twisted pair.
- status str
- The test result of the twisted pair tested.
- index Number
- The index of the twisted pair tested.
- length
Meters Number - The detected length of the twisted pair.
- status String
- The test result of the twisted pair tested.
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
